msgpack::adaptor::convert< double > Struct Template Reference

`#include <float.hpp>`

## Public Member Functions

msgpack::object const & | operator() (msgpack::object const &o, double &v) const

## Member Function Documentation

## operator()()

msgpack::object const& msgpack::adaptor::convert< double >::operator() | ( | msgpack::object const & | o,
|  | double & | v
| ) |  | const

inline

References msgpack::object::union_type::f64, msgpack::type::FLOAT32, msgpack::type::FLOAT64, msgpack::object::union_type::i64, msgpack::type::NEGATIVE_INTEGER, msgpack::type::POSITIVE_INTEGER, msgpack::object::type, msgpack::object::union_type::u64, and msgpack::object::via.

The documentation for this struct was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/adaptor/float.hpp